<?php

namespace App;

use App\User;
use App\Models\FinishedContracts;

use Illuminate\Database\Eloquent\Model;

class Report extends Model
{
    //
    protected $fillable = [
        'contract_id',
        'moderator_id',
        'veredict',
    ];


  public function finishedcontracts()
  {
      return $this->belongsTo(FinishedContracts::class);
  }

  public function user()
  {
      return $this->belongsTo('App\User', 'moderator_id');
  }

  public function reportcomments()
  {
      return $this->hasMany(ReportComment::class);
  }
}
